openjpa-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Boblitz John <john.bobl...@bertschi.com>
Subject RE: Advice needed switching to OpenJPA
Date Wed, 03 Feb 2016 15:45:07 GMT
Hello,

Is it possible that the class is not included in the list of entities in your persistence.xml?

Regards,

John

> -----Original Message-----
> From: Markus Geiß [mailto:markus.geiss@live.de]
> Sent: Mittwoch, 3. Februar 2016 16:40
> To: users@openjpa.apache.org
> Subject: RE: Advice needed switching to OpenJPA
> 
> This is the expection we get, both cases, runtime and build enhancement:
> 
> Caused by: <openjpa-2.4.0-r422266:1674604 fatal user error>
> org.apache.openjpa.util.MetaDataException: The type "class
> org.mifosplatform.useradministration.domain.AppUser" has not been
> enhanced.
> 
> Best,
> 
> Markus
> 
> .::YAGNI likes a DRY KISS::.
> 
> > Subject: Re: Advice needed switching to OpenJPA
> > From: tim@cliftonfarm.org
> > To: users@openjpa.apache.org
> > Date: Wed, 3 Feb 2016 09:35:02 -0500
> >
> > On Wed, 2016-02-03 at 10:31 +0100, Markus Geiß wrote:
> > > Hey all,
> > >
> > > hope this finds you well. ; o)
> > > As part of our incubation (Apache Fineract) we need to replace our
> > > current JPA implementation (Hibernate).
> > >
> > > Given that we are now part of the Apache family we'd like to use
> > > Apache project whenever possible.
> > >
> > > Right now we are facing issues with the enhancement mechanism and
> > > looking for some advice on how to proceed. None of our entites could
> > > be enhanced, but we are not sure why.
> > >
> > Could you provide the error messages you're getting?  I recently
> > started using OpenJPA 2.4.0 again after a hiatus and found that I had
> > to compile my entities with Java 6 bytecode.  Here's the relevant part
> > of the
> > pom.xml:
> >
> > <plugin>
> > 	<groupId>org.apache.maven.plugins</groupId>
> > 	<artifactId>maven-compiler-plugin</artifactId>
> > 	<version>3.5</version>
> > 	<configuration>
> >  		<compilerVersion>1.6</compilerVersion>
> > 		<source>1.6</source>
> > 		<target>1.6</target>
> > 		<debug>true</debug>
> > 		<verbose>false</verbose>
> > 	</configuration>
> > </plugin>
> >
> >
> >
> > > Here are some, maybe, useful information, we use:
> > > - Java 8
> > > - Spring Data JPA
> > > - Hibernate 4.3
> > >
> > > Best,
> > >
> > > Markus
> > >
> > > .::YAGNI likes a DRY KISS::.
> >
> >
> 

Mime
View raw message